## njconnect-1.6-3.src.tar.gz

=== Makefile ===
APP                 = njconnect
CFLAGS              = -O2 -Wall -g
PKG_CONFIG_MODULES := jack ncurses
DESTDIR =

CFLAGS             += $(shell pkg-config --cflags $(PKG_CONFIG_MODULES))
LDFLAGS             =
LIBRARIES           = $(shell pkg-config --libs   $(PKG_CONFIG_MODULES))
OBJS                = njconnect.o jslist_extra.o window.o port_connection.o

.PHONY: all,clean

all: $(APP)

njconnect: $(OBJS)
	$(CC) $(CFLAGS) $^ -o $@ $(LIBRARIES) $(LDFLAGS)

clean:
	rm -f $(APP) $(OBJS)

install: all
	install -Dm755 $(APP) $(DESTDIR)/usr/bin/$(APP)

=== PKGBUILD ===
# Maintainer: David Runge <dave@sleepmap.de>
# Contributor: Lieven Moors <lievenmoors@gmail.com>
pkgname=njconnect
pkgver=1.6
pkgrel=3
pkgdesc="Curses JACK connection manager"
arch=('x86_64')
url="https://sourceforge.net/projects/njconnect/"
license=('GPL2')
groups=('pro-audio')
depends=('jack')
source=("https://sourceforge.net/projects/${pkgname}/files/${pkgname}-${pkgver}.tar.xz")
sha512sums=('2210c7ff9382da37b2348942ca30788514dbae3450191ff37de9dcc33d62c68977ced3fdc4bd73c4d3bfb07b4aee9f59653a726baa63970607698af4753fc98d')

build() {
  cd "$pkgname-$pkgver"
  make
}

package() {
  cd "$pkgname-$pkgver"
  make DESTDIR="$pkgdir/" install
  install -vDm 644 README -t "${pkgdir}/usr/share/doc/${pkgname}/"
}
